package xyz.etztech.deluxegroups.listeners;


import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerLoginEvent;
import org.bukkit.event.player.PlayerQuitEvent;
import org.dynmap.DynmapAPI;
import org.dynmap.DynmapCommonAPI;
import xyz.etztech.deluxegroups.DeluxeGroups;

public class SessionListener implements Listener {

    @EventHandler
    public void onLogin(PlayerLoginEvent event) {
        handleEvent(event.getPlayer(), true);
    }

    @EventHandler
    public void onLogout(PlayerQuitEvent event) {
        handleEvent(event.getPlayer(), false);
    }

    private void handleEvent(Player player, boolean loggedIn) {
        DynmapAPI dynmap = (DynmapAPI) DeluxeGroups.getDynmap();
        if (dynmap != null) {
            dynmap.postPlayerJoinQuitToWeb(player.getName(), player.getName(), loggedIn);
            //dynmap.sendBroadcastToWeb("", player.getName() + "  " + (loggedIn ? "joined" : "left") + " the server");
        }
    }
}
